org.apache.maven.artifact.resolver.filter

## Class ExclusionSetFilter

- java.lang.Object
- - org.apache.maven.artifact.resolver.filter.ExclusionSetFilter

All Implemented Interfaces:
  ArtifactFilter

    public class ExclusionSetFilter
    extends java.lang.Object
    implements ArtifactFilter

Version:
  $Id: ExclusionSetFilter.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`ExclusionSetFilter(java.util.Set excludes)`
`ExclusionSetFilter(java.lang.String[] excludes)`

### Method Summary

Methods
`boolean` `include(Artifact artifact)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExclusionSetFilter

    public ExclusionSetFilter(java.lang.String[] excludes)

#### ExclusionSetFilter

    public ExclusionSetFilter(java.util.Set excludes)

### Method Detail

#### include

    public boolean include(Artifact artifact)

Specified by:
  `include` in interface `ArtifactFilter`